### Method

# AppStreamCompose Compose add_allowed_cid

#### Declaration [src]

    void
    asc_compose_add_allowed_cid (
      AscCompose* compose,
      const gchar* component_id
    )

#### Description [src]

Adds a component ID to the allowlist. If the list is not empty, only components in the list will be added to the metadata output.

#### Parameters

`component_id`

  Type: `const gchar*`

  The component-id to whitelist.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.